Version 4.0.0 of project44's API. If you're not familiar with project44, we recommend checking out our guides first: https://developers.project44.com/guides/shippers and https://developers.project44.com/guides/carriers.
Version 4.0.0 of project44's API. If you're not familiar with project44, we recommend checking out our guides first: https://developers.project44.com/guides/shippers and https://developers.project44.com/guides/carriers.
API used for registering and managing OAuth 2.0 client applications. See the "Authentication" section above for more information. To authorize API requests to project44 for an API integration, first your client application must be registered with project44, which will issue your application a client id and secret. These credentials can then be used to generate bearer tokens, which can be included on all other API requests to authorize your client application. The client application is authorized through the project44 user management UI as a machine user with username "app-{client_id}@client-applications.project44.com".
An admin user (with Movement user role "Customer Admin") must use HTTP Basic Authentication with this API to manage client applications. Basic Authentication is deprecated for all other APIs, besides token generation, in favor of passing the access token generated via OAuth 2.0.
API for OAuth 2.0 token generation. See the "Authentication" section above for more information. Once your client application is registered, you can use the token generation endpoint to authenticate with your application's client id and secret in exchange for a bearer token to be included on all other API requests to authenticate as that client application. The client application is authorized through the project44 user management UI as a machine user with username "app-{client_id}@client-applications.project44.com".
To generate an access token, you may authenticate your client application by providing its client id and secret either in the body of the request or in the form of HTTP Basic Authentication (but you may not use both ways in the same request).
curl -i -X GET \ https://na12.api.project44.com/api/v4/webhooks \ -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'
{ "webhookEndpoints": [ { … } ] }
webhookEndpoint
(Deprecated) The webhookAuthenticationMethod parameters. The subordinate fields for the 'authParams' field depend on the authType. This field is functional but is deprecated - authentication for new webhooks should be supplied in the 'authenticationMethods' field.
(Deprecated) The webhookAuthenticationMethod type. BASIC, API_KEY and OAUTH2 are supported. This field is functional but is deprecated - authentication for new webhooks should be supplied in the 'authenticationMethods' field.
A list of authentication methods. Each authentication method consists of 'type' and 'parameters' fields. Typically only one form of authentication is used, though it is possible to have two API keys or both an API key and OAuth2 authentication.
A unique identifier of the push configuration. Assigned by the push configuration API service and used for updates only.
The HTTP method associated with the webhook endpoint. If not provided, will default to POST.
A map of optional method parameters. If provided, these will appear as query parameters on the URL.
The format of the payload to send to the webhook. JSON is the only format supported.
curl -i -X PUT \ https://na12.api.project44.com/api/v4/webhooks \ -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \ -H 'Content-Type: application/json' \ -d '{ "authParams": {}, "authType": "API_KEY", "authenticationMethods": [ { "parameters": {}, "type": "API_KEY" } ], "configName": "string", "id": 0, "method": "GET", "methodHeaders": { "property1": "string", "property2": "string" }, "methodParams": {}, "payloadFormat": "JSON", "url": "string", "version": 0 }'
OK
(Deprecated) The webhookAuthenticationMethod parameters. The subordinate fields for the 'authParams' field depend on the authType. This field is functional but is deprecated - authentication for new webhooks should be supplied in the 'authenticationMethods' field.
(Deprecated) The webhookAuthenticationMethod type. BASIC, API_KEY and OAUTH2 are supported. This field is functional but is deprecated - authentication for new webhooks should be supplied in the 'authenticationMethods' field.
A list of authentication methods. Each authentication method consists of 'type' and 'parameters' fields. Typically only one form of authentication is used, though it is possible to have two API keys or both an API key and OAuth2 authentication.
A unique identifier of the push configuration. Assigned by the push configuration API service and used for updates only.
The HTTP method associated with the webhook endpoint. If not provided, will default to POST.
A map of optional method parameters. If provided, these will appear as query parameters on the URL.
The format of the payload to send to the webhook. JSON is the only format supported.
{ "authParams": {}, "authType": "API_KEY", "authenticationMethods": [ { … } ], "configName": "string", "id": 0, "method": "GET", "methodHeaders": { "property1": "string", "property2": "string" }, "methodParams": {}, "payloadFormat": "JSON", "url": "string", "version": 0 }
curl -i -X DELETE \ 'https://na12.api.project44.com/api/v4/webhooks/{webhookId}' \ -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'
{ "errorMessage": "string", "errors": [ { … } ], "httpStatusCode": 0, "httpMessage": "string", "supportReferenceId": "string" }
curl -i -X GET \ 'https://na12.api.project44.com/api/v4/webhooks/{webhookId}' \ -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'
OK
(Deprecated) The webhookAuthenticationMethod parameters. The subordinate fields for the 'authParams' field depend on the authType. This field is functional but is deprecated - authentication for new webhooks should be supplied in the 'authenticationMethods' field.
(Deprecated) The webhookAuthenticationMethod type. BASIC, API_KEY and OAUTH2 are supported. This field is functional but is deprecated - authentication for new webhooks should be supplied in the 'authenticationMethods' field.
A list of authentication methods. Each authentication method consists of 'type' and 'parameters' fields. Typically only one form of authentication is used, though it is possible to have two API keys or both an API key and OAuth2 authentication.
A unique identifier of the push configuration. Assigned by the push configuration API service and used for updates only.
The HTTP method associated with the webhook endpoint. If not provided, will default to POST.
A map of optional method parameters. If provided, these will appear as query parameters on the URL.
The format of the payload to send to the webhook. JSON is the only format supported.
{ "authParams": {}, "authType": "API_KEY", "authenticationMethods": [ { … } ], "configName": "string", "id": 0, "method": "GET", "methodHeaders": { "property1": "string", "property2": "string" }, "methodParams": {}, "payloadFormat": "JSON", "url": "string", "version": 0 }
curl -i -X GET \ 'https://na12.api.project44.com/api/v4/webhooks/name/{webhookName}' \ -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'
OK
(Deprecated) The webhookAuthenticationMethod parameters. The subordinate fields for the 'authParams' field depend on the authType. This field is functional but is deprecated - authentication for new webhooks should be supplied in the 'authenticationMethods' field.
(Deprecated) The webhookAuthenticationMethod type. BASIC, API_KEY and OAUTH2 are supported. This field is functional but is deprecated - authentication for new webhooks should be supplied in the 'authenticationMethods' field.
A list of authentication methods. Each authentication method consists of 'type' and 'parameters' fields. Typically only one form of authentication is used, though it is possible to have two API keys or both an API key and OAuth2 authentication.
A unique identifier of the push configuration. Assigned by the push configuration API service and used for updates only.
The HTTP method associated with the webhook endpoint. If not provided, will default to POST.
A map of optional method parameters. If provided, these will appear as query parameters on the URL.
The format of the payload to send to the webhook. JSON is the only format supported.
{ "authParams": {}, "authType": "API_KEY", "authenticationMethods": [ { … } ], "configName": "string", "id": 0, "method": "GET", "methodHeaders": { "property1": "string", "property2": "string" }, "methodParams": {}, "payloadFormat": "JSON", "url": "string", "version": 0 }